export const instagram = ({
  color = '#fff',
  width = '17px',
  height = '16px',
  filled = false,
}) => {
  return (
    <svg width={width} height={height} viewBox="0 0 17 16" >
      <path
        d="M14.1667 0.00830078H2.26667C1.30333 0.00830078 0.566666 0.744967 0.566666 1.7083V13.6083C0.566666 14.5716 1.30333 15.3083 2.26667 15.3083H14.1667C15.13 15.3083 15.8667 14.5716 15.8667 13.6083V1.7083C15.8667 0.744967 15.13 0.00830078 14.1667 0.00830078ZM8.21667 12.3616C10.8233 12.3616 12.92 10.265 12.92 7.6583C12.92 7.37497 12.8633 7.09163 12.8067 6.8083H14.1667V12.9283C14.1667 13.2683 13.8833 13.495 13.6 13.495H2.83333C2.49333 13.495 2.26667 13.2116 2.26667 12.9283V6.8083H3.57C3.51333 7.09163 3.45667 7.37497 3.45667 7.6583C3.51333 10.265 5.61 12.3616 8.21667 12.3616ZM5.27 7.6583C5.27 6.01497 6.57333 4.71163 8.21667 4.71163C9.86 4.71163 11.1633 6.01497 11.1633 7.6583C11.1633 9.30163 9.86 10.605 8.21667 10.605C6.57333 10.605 5.27 9.24497 5.27 7.6583ZM13.6 4.2583H12.24C11.9 4.2583 11.6733 3.97497 11.6733 3.69163V2.27497C11.6733 1.93497 11.9567 1.7083 12.24 1.7083H13.6C13.94 1.7083 14.1667 1.99163 14.1667 2.27497V3.63497C14.1667 3.97497 13.8833 4.2583 13.6 4.2583Z"
        fill={filled ? color : 'none'}
        stroke={color}
      />
    </svg>
  )
}
